// This source file is adapted from the Avalonia WrapPanel. 
// (https://github.com/AvaloniaUI/Avalonia) 

using Avalonia.Controls;
using Avalonia.Styling;

namespace InABox.Avalonia.Components.ModuleGrid;

public class AvaloniaModuleGridPanelTemplate : ITemplate<Panel?>
{
    public int ItemsPerLine { get; set; }

    public Panel? Build()
    {
        return new AvaloniaModuleGridPanel { ItemsPerLine = ItemsPerLine };
    }

    object? ITemplate.Build()
    {
        return Build();
    }
}